BARMAN-RECEIVE-WAL(1)

NAME
barman-receive-wal - Barman Sub-Commands

SYNOPSIS

    receive-wal
        [ --create-slot ]
        [ --drop-slot ]
        [ { -h | --help } ]
        [ --reset ]
        [ --stop ]
        SERVER_NAME

DESCRIPTION

Initiate the streaming of transaction logs for a server. This process uses pg_receivewal or pg_receivexlog to receive WAL files from Postgres servers via the streaming protocol.

PARAMETERS

SERVER_NAME
    Name of the server in barman node.

--create-slot
    Create the physical replication slot configured with the slot_name configuration parameter.

--drop-slot
    Drop the physical replication slot configured with the slot_name configuration parameter.

-h / --help
    Show a help message and exit. Provides information about command usage.

--reset
    Reset the status of receive-wal, restarting the streaming from the current WAL file of the server.

--stop
    Stop the process for the server.

AUTHOR
EnterpriseDB

COPYRIGHT
© Copyright EnterpriseDB UK Limited 2011-2025